<?
include("../Librerias/ConfNivel2.inc");
$Nivel=$_Nivel2;
$ObjSesion=new Sesiones();               ///Clase Sesión
$ObjSesion->MVerifica($Nivel);
$Conexion=new DBAccess();
$Conexion->Acceso($Servidor,$UsuarioBD,$ClaveBD,$BaseDatos);
$Formulario=new Formulario();

/*Obtenemos los valor por post*/
$tags2 = array_keys($_POST); // obtiene los Area de las variables
$valores2 = array_values($_POST);// obtiene los valores de las variables
$i=0;
foreach ($_POST as $valores){
 ${$tags2[$i]}=$valores;
 $i++;	
}
///Datos de la acción
$Fecha=date("Y-m-d");
$Hora=date("H:i:s");
$Ip=$HTTP_X_FORWARDED_FOR;
if ($Ip=='')  $Ip=$REMOTE_ADDR;

if ($Accion=='Guardar'){
    $Consulta="Insert into proveedores (Nombre, Apaterno, Amaterno, RFC) Values ('$Nombre', '$Apaterno','$Amaterno', '$RFC')";
    $Conexion->MEjecutarSQL($Consulta);
	//if ($Conexion->error)
	//echo $Conexion->error;
	//echo "Insert into proveedores (Area, Apellidos,PaisOrigen, Biografia) Values ('$Area','$Apellidos', $PaisOrigen,'$Biografia')";
    $RowInsertado=$Conexion->MSelectRegistro("SELECT * FROM proveedores ORDER BY IdProveedor DESC");
    ///Consulta para Obtener Id de los datos almacenados
    $DescripcionAccion="REGISTR&Oacute; : ".$RowInsertado["Nombre"]." ".$RowInsertado["Apaterno"];
    $ConsultaAccion="INSERT INTO ControlUsuarios (IdUsuario,Descripcion,Fecha,Hora,IP,Tabla,Clave) Values (
                    '".$_SESSION["IdUsuario"]."','$DescripcionAccion','$Fecha','$Hora','$Ip','proveedores',$RowInsertado[IdProveedor])";
     $Conexion->MEjecutarSQL($ConsultaAccion);
     FMensajeScript($DescripcionAccion,"proveedores.php?IdProveedor=$RowInsertado[IdProveedor]");
     exit();
}

if ($Accion=='Actualizar'){
	$Consulta="Update proveedores SET Nombre='$Nombre', Apaterno='$Apaterno', Amaterno='$Amaterno', RFC='$RFC' WHERE IdProveedor='$IdProveedor'";									
   $Conexion->MEjecutarSQL($Consulta);

    ///Consulta para Obtener Id de los datos almacenados
    $RowInsertado=$Conexion->MSelectRegistro("SELECT * FROM proveedores WHERE IdProveedor='$IdProveedor' ORDER BY IdProveedor DESC");
	$DescripcionAccion="ACTUALIZÓ: ".$RowInsertado["Nombre"]." ".$RowInsertado["Apaterno"];
    $ConsultaAccion="INSERT INTO ControlUsuarios (IdUsuario,Descripcion,Fecha,Hora,IP,Tabla,Clave) Values (
                     '".$_SESSION["IdUsuario"]."','$DescripcionAccion','$Fecha','$Hora','$Ip','proveedores',$IdProveedor)";
     $Conexion->MEjecutarSQL($ConsultaAccion);
     FMensajeScript($DescripcionAccion,"proveedores.php?IdProveedor=$IdProveedor");
     exit();
}

if ($Accion=='Eliminar'){ 
    $RowInsertado=$Conexion->MSelectRegistro("SELECT * FROM proveedores WHERE IdProveedor='$IdProveedor' ORDER BY IdProveedor DESC");
    $Consulta="DELETE FROM proveedores WHERE IdProveedor='$IdProveedor' ";
    $Conexion->MEjecutarSQL($Consulta);

        ///Consulta para Obtener Id de los datos almacenados
    ///Consulta para Obtener Id de los datos almacenados
	$DescripcionAccion="ELIMINÓ: ".$RowInsertado["Nombre"]." ".$RowInsertado["Apaterno"];
    $ConsultaAccion="INSERT INTO ControlUsuarios (IdUsuario,Descripcion,Fecha,Hora,IP,Tabla,Clave) Values (
                     '".$_SESSION["IdUsuario"]."','$DescripcionAccion','$Fecha','$Hora','$Ip','proveedores',$IdProveedor)";
     $Conexion->MEjecutarSQL($ConsultaAccion);
     FMensajeScript($DescripcionAccion,"proveedores.php");
     exit();
}
?>
